classification
Title: Deprecation warnings when running the test suite
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: ezio.melotti, pitrou, python-dev, vstinner
Priority: normal Keywords: easy

Created on 2011-11-14 23:11 by pitrou, last changed 2011-11-17 10:23 by python-dev. This issue is now closed.

Messages (5)
msg147637 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-11-14 23:11
Now that the unicode-internal codec is deprecated, the test suite spouts some warning (in test_codecs, test_codeccallbacks and test_unicode). Example:

[344/361] test_codecs
/home/antoine/cpython/default/Lib/test/test_codecs.py:1024: DeprecationWarning: unicode_internal codecs has been deprecated
  self.assertEqual(uni, internal.decode("unicode_internal"))
/home/antoine/cpython/default/Lib/unittest/case.py:135: DeprecationWarning: unicode_internal codecs has been deprecated
  callable_obj(*args, **kwargs)
/home/antoine/cpython/default/Lib/test/test_codecs.py:1047: DeprecationWarning: unicode_internal codecs has been deprecated
  ab = "ab".encode("unicode_internal").decode()
/home/antoine/cpython/default/Lib/test/test_codecs.py:1050: DeprecationWarning: unicode_internal codecs has been deprecated
  "UnicodeInternalTest")
/home/antoine/cpython/default/Lib/test/test_codecs.py:1034: DeprecationWarning: unicode_internal codecs has been deprecated
  b"\x00\x00\x00\x00\x00\x11\x11\x00".decode("unicode_internal")
/home/antoine/cpython/default/Lib/test/test_codecs.py:1056: DeprecationWarning: unicode_internal codecs has been deprecated
  self.assertEqual(encoder("a")[1], 1)
/home/antoine/cpython/default/Lib/test/test_codecs.py:1057: DeprecationWarning: unicode_internal codecs has been deprecated
  self.assertEqual(encoder("\xe9\u0142")[1], 2)
/home/antoine/cpython/default/Lib/test/test_codecs.py:1515: DeprecationWarning: unicode_internal codecs has been deprecated
  (b, size) = codecs.getencoder(encoding)(s)
/home/antoine/cpython/default/Lib/test/test_codecs.py:1517: DeprecationWarning: unicode_internal codecs has been deprecated
  (chars, size) = codecs.getdecoder(encoding)(b)
msg147751 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-11-16 07:39
New changeset 4f534cd40f54 by Ezio Melotti in branch 'default':
#13406: silence deprecation warnings in test_codecs.
http://hg.python.org/cpython/rev/4f534cd40f54
msg147753 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-11-16 07:55
New changeset 028b61c4f926 by Ezio Melotti in branch 'default':
#13406: correct the error message in check_warnings too.
http://hg.python.org/cpython/rev/028b61c4f926
msg147754 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-11-16 08:17
Should be fixed now.
msg147792 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-11-17 10:23
New changeset fe2be7d35660 by Ezio Melotti in branch 'default':
#13406: fix more deprecation warnings and move the deprecation of unicode-internal earlier in the code.
http://hg.python.org/cpython/rev/fe2be7d35660
History
Date User Action Args
2011-11-17 10:23:54python-devsetmessages: + msg147792
2011-11-16 08:17:40ezio.melottisetstatus: open -> closed
messages: + msg147754

assignee: ezio.melotti
resolution: fixed
stage: needs patch -> resolved
2011-11-16 07:55:04python-devsetmessages: + msg147753
2011-11-16 07:39:46python-devsetnosy: + python-dev
messages: + msg147751
2011-11-14 23:11:59pitroucreate